﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" AutoEventWireup="true" CodeBehind="Index.aspx.cs" Inherits="Filosofparken.Views.Home.Index" %>
<%@ OutputCache Duration="5" Location="None" VaryByParam="None" %>
<%@ Import Namespace="Filosofparken.Controllers" %>
<%@ Import Namespace="Filosofparken.Models" %>

<asp:Content ID="indexContent" ContentPlaceHolderID="MainContentPlaceHolder" runat="server">
    <h2>Required registration for Internet access</h2>   
    Filosofparken has moved to a new system for managing Internet access -- a 
    system that requires everyone to register before being able to access the 
    Internet.
    <br /><br />
    To register, click the "Login" link on the menu to the left. Then create a new account and carefully
    follow the instructions given during the registration process. Note that it's not enough to 
    just create 
    an account. You'll also have to log into Filosofparken.dk using that account and edit your 
    profile to activate 
    your computer.   
    <br /><br />
    The registration serves four purposes:
    <ol> 
      <li>Making the job of the IT group easier. Today, when there's a problem that brings down the network, it&#8217;s 
          often a time consuming task to locate the computer causing the problem and get in contact with the owner. 
          With the identity of every computer tied to a physical and an email address, it&#8217;ll be easier to track 
          down and notify the owner.</li>
      <li>To raise the general awareness of filosofparken.dk. The homepage is our preferred medium for sharing 
           what&#8217;s going on at Filosofparken and the preferred way to contact the IT group, Downunder, etc.</li>
      <li>To easily target everyone who wants to receive information about what's going on at Filosofparken by 
          sending out email whenever something important happens, such as planed network downtime or information 
          from Downunder. </li>
    </ol>
    24. marts 2008
    <br /><br />
</asp:Content>
