﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" AutoEventWireup="true" CodeBehind="Login.aspx.cs" Inherits="Filosofparken.Views.User.Login" %>
<%@ OutputCache Duration="5" Location="None" VaryByParam="None" %>
<%@ Import Namespace="Filosofparken.Controllers" %>

<asp:Content ID="login" ContentPlaceHolderID="MainContentPlaceHolder" runat="server">
  <h1>Login</h1>
  <% if (ViewData.ErrorMessages.Count > 0) {
       foreach (string s in ViewData.ErrorMessages) { %>
         <font color="red"><%=s%></font><br />
  <%   }
     } %>Filosofparken has moved to a new system for managing Internet access -- a 
    system that requires everyone to register before being able to access the 
    Internet.
    <br /><br />
                        If you haven't registered before, you'll have to create a new account. Be sure 
                        to carefully follow the instructions given during the registration process. Then, after creating 
                        an account, you'll have to log into <a href="http://www.filosofparken.dk">
                        http://www.filosofparken.dk</a> to activate your computer. If you've already created an account,
                        then simply login and click &quot;Edit profile&quot; on the left menu and change the activation
                        status of your computer to &quot;Activated&quot;.   
    <br /><br />

  <% using (Html.Form<UserController>(c => c.Authenticate())) { %>
      <table>
          <tr>
            <td>Username:</td>
            <td><%=Html.TextBox("User.Username", "", 40, 0) %></td>
          </tr>
          <tr>
            <td>Password:</td>
            <td><%=Html.Password("User.Password", 40) %></td>
          </tr>
      </table>
      <br />
      <%=Html.SubmitButton("Login", "Login")%>
  <% } %>  
</asp:Content>