﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="UserMacs.ascx.cs" Inherits="Filosofparken.Views.User.UserMacs" %>
<%@ OutputCache Duration="5" VaryByParam="None" %>
<%@ Import Namespace="Filosofparken.Helpers" %>
The list below contains the computers you've activated and is responsible for. At any time you can add another
computer by logging into www.filosofparken.dk from that computer and changing its activation status to "Activated".
<br /><br />

<% if (ViewData.ArpEntry.Mac == null) { %>
  <font color="red">Unable to locate your computer on the local area network. For reference your IP address is: "<%=Request.UserHostAddress %>". If the IP reads "130.225.245.21", click <a href="http://192.168.1.6">here</a> and login.</font><br /><br />
<% } %>

<table>
  <tr align="left">
    <th width="150">Computer</th>
    <th>Activation status</th>
  </tr>
   
  <% if (!ViewData.ActivatedMac && ViewData.ArpEntry.Mac != null) { %>
        <tr>
          <td>
            <%=Utility.FormatMac(ViewData.ArpEntry.Mac) %>
          </td>   
          <td>
            <select name="mac_<%=ViewData.ArpEntry.Mac %>">
              <option value="true">Activated</option>
              <option value="false" selected="true">Deactivated</option>           
            </select>
            <= Now logged in from here
          </td>
        </tr>
  <% } %>

  <% if (ViewData.User.Macs.Count > 0) { %>
  <%   foreach (Filosofparken.Models.Mac m in ViewData.User.Macs) { %>
  <%      if (m.Active) { %>
        <tr>
          <td>
            <%=Utility.FormatMac(m.Mac1) %>
          </td>   
          <td>
            <select name="mac_<%=m.Mac1 %>">           
              <option value="true" <%=m.Active ? "selected=\"true\"" : "" %>>Activated</option>
              <option value="false" <%=m.Active ? "" : "selected=\"true\""  %>>Deactivated</option>           
            </select>
            <%=m.Mac1 == ViewData.ArpEntry.Mac ? "<= Now logged in from here" : ""%>
          </td>
        </tr>
  <%      } %>      
  <%   } %>  
  <% } %>
</table>